:root {
  --clr-primary-100: 0, 78%, 62%;
  --clr-primary-200: 180, 62%, 55%;
  --clr-primary-300: 34, 97%, 64%;
  --clr-primary-400: 212, 86%, 64%;

  --clr-neutral-100: 0 0% 100%;
  --clr-neutral-200: 234, 12%, 34%;
  --clr-neutral-300: 229, 6%, 66%;
  --clr-neutral-400: 210 46% 98%;

  --ff-primary: "Poppins", sans-serif;

  --fw-200: 200;
  --fw-400: 400;
  --fw-600: 600;

  --fs-300: 0.8125rem;
  --fs-400: 0.9375rem;
  --fs-500: 1.5rem;
}

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

body {
  display: grid;
  place-content: center;
  font-family: var(--ff-primary);
  background-color: hsl(var(--clr-neutral-400));
}

/* utilities */
.flex {
  display: flex;
  gap: var(--gap, 1rem);
}

.flow > *:where(:not(:first-child)) {
  margin-top: var(--flow-spacer, 1em);
}

.text-neutral-200 {
  color: hsl(var(--clr-neutral-200));
}
.text-neutral-300 {
  color: hsl(var(--clr-neutral-300));
}

.fs-300 {
  font-size: var(--fs-300);
}
.fs-400 {
  font-size: var(--fs-400);
}
.fs-500 {
  font-size: var(--fs-500);
}

.fw-200 {
  font-weight: var(--fw-200);
}
.fw-400 {
  font-weight: var(--fw-400);
}
.fw-600 {
  font-weight: var(--fw-600);
}

.border-top-primary-100 {
  border-top: 5px solid hsl(var(--clr-primary-100));
}
.border-top-primary-200 {
  border-top: 5px solid hsl(var(--clr-primary-200));
}
.border-top-primary-300 {
  border-top: 5px solid hsl(var(--clr-primary-300));
}
.border-top-primary-400 {
  border-top: 5px solid hsl(var(--clr-primary-400));
}

/* components */
.card-grid {
  display: grid;
  gap: 1.5rem;
  padding-block: 5rem;
  width: min(85%, 70rem);
  margin-inline: auto;
  grid-template-columns: 1fr;
  grid-template-areas:
    "info"
    "one"
    "two"
    "three"
    "four";
}

.card {
  font-size: var(--fs-400);
  padding: 2rem;
  display: grid;
  gap: 0.5rem;
  border-radius: 0.5rem;
  background-color: hsl(var(--clr-neutral-100));
  box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px,
    rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
}
.card > :last-child {
  justify-self: end;
  margin-top: 1rem;
}
.info {
  text-align: center;
  max-width: 50ch;
  margin-inline: auto;
  grid-area: info;
}
.card:nth-child(2) {
  grid-area: one;
}
.card:nth-child(3) {
  grid-area: two;
}
.card:nth-child(4) {
  grid-area: three;
}
.card:nth-child(5) {
  grid-area: four;
}

@media screen and (min-width: 33em) {
  .card-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
      "info  info"
      "one   two"
      "three four";
  }
}

@media screen and (min-width: 70em) {
  .card-grid {
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas:
      "info info  info"
      "one  two   four"
      "...  three ....";
  }
  .card:nth-child(2),
  .card:nth-child(5) {
    transform: translateY(50%);
  }
}
